#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79f9e5e, "crypto_alloc_ahash" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x93b6250a, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xec9c69fe, "tls_alert_recv" },
	{ 0xaa6167ee, "ip_sock_set_tos" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc61ab29, "nvmet_req_complete" },
	{ 0x3ccc1558, "kernel_bind" },
	{ 0xa06e562, "sock_create" },
	{ 0xa14ac5c0, "tls_server_hello_psk" },
	{ 0xdccf8c33, "tls_handshake_cancel" },
	{ 0x971af6dd, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xf0304c37, "kernel_accept" },
	{ 0xa4f7dd39, "kernel_recvmsg" },
	{ 0xd87839cf, "sock_alloc_file" },
	{ 0xb8e1442d, "sock_set_priority" },
	{ 0x51a7ee10, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xed6ee939, "nvmet_sq_destroy" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xb43425e1, "kernel_sendpage" },
	{ 0xc136c2a3, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xaf2fb1e2, "nvmet_req_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3756f999, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x76530bc1, "fput" },
	{ 0x517defb4, "__traceiter_sk_data_ready" },
	{ 0x472c5436, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb2f23662, "kernel_getpeername" },
	{ 0x7a837125, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8f29973f, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7008b5e5, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x1fd02e6c, "inet_pton_with_scope" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x319f5839, "sock_set_reuseaddr" },
	{ 0x69e3fbfb, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x98aa2baa, "crypto_ahash_digest" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c61b81a, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x644e6886, "kernel_listen" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfc336904, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x716008ba, "sock_recvmsg" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x92a8d36f, "sock_release" },
	{ 0x6877ea45, "tcp_sock_set_nodelay" },
	{ 0x92a35a10, "nvmet_ctrl_fatal_error" },
	{ 0x631b4a03, "nvmet_req_uninit" },
	{ 0x29663fc2, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x8793556d, "param_ops_int" },
	{ 0x44aca366, "param_get_int" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0xa72fe89e, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x9f8b550e, "nvme_tls_key_lookup" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x588a1919, "kmalloc_caches" },
	{ 0x93b240cb, "sock_no_linger" },
	{ 0xbaeaedf9, "module_layout" },
};

MODULE_INFO(depends, "nvmet,nvme-keyring");


MODULE_INFO(srcversion, "F5CBD65E574CB1F2036B924");
MODULE_INFO(rhelversion, "9.7");
